ChangeSet 1.1254.4.18, 2003/06/04 12:30:55-07:00, greg@kroah.com

[PATCH] PCI: remove usage of pci_for_each_dev() in drivers/char/agp/amd-k8-agp.c


 drivers/char/agp/amd-k8-agp.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)


diff -Nru a/drivers/char/agp/amd-k8-agp.c b/drivers/char/agp/amd-k8-agp.c
--- a/drivers/char/agp/amd-k8-agp.c	Wed Jun  4 18:11:04 2003
+++ b/drivers/char/agp/amd-k8-agp.c	Wed Jun  4 18:11:04 2003
@@ -244,7 +244,7 @@
 				  const struct pci_device_id *ent)
 {
 	struct agp_bridge_data *bridge;
-	struct pci_dev *loop_dev;
+	struct pci_dev *loop_dev = NULL;
 	u8 rev_id;
 	u8 cap_ptr;
 	int i = 0;
@@ -297,7 +297,7 @@
 	pci_read_config_dword(pdev, bridge->capndx+PCI_AGP_STATUS, &bridge->mode);
 
 	/* cache pci_devs of northbridges. */
-	pci_for_each_dev(loop_dev) {
+	while ((loop_dev = pci_find_device(PCI_ANY_ID, PCI_ANY_ID, loop_dev)) != NULL) {
 		if (loop_dev->bus->number == 0 &&
 		    PCI_FUNC(loop_dev->devfn) == 3 &&
 		    PCI_SLOT(loop_dev->devfn) >=24 &&
